HostingAddressbooks & contacts
List contacts
GET
/api/addressbooks/{code}/{addressbook_id}/contactsReturns the contacts in an addressbook.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
code*string
Email account code: usually EA followed by 8 digits. Postmaster accounts use P followed by 9 digits. Examples: EA12345678, P123456789.
addressbook_id*integer
Format
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/addressbooks/string/0/contacts" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json"{
"resources": [
{
"uid": "string",
"type": "string",
"fullname": "string",
"given_name": "string",
"surname": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}